Summary:	CMU Sphinx III - Speech recognitnion engine
Summary(pl.UTF-8):	CMU Sphinx III - System rozpoznawania mowy
Name:		sphinx3
Version:	0.8
Release:	1
License:	BSD-like
Group:		Applications/Communications
Source0:	http://downloads.sourceforge.net/cmusphinx/%{name}-%{version}.tar.bz2
# Source0-md5:	e32bf4c507509b27482adf4cfc467e8f
Patch0:		%{name}-am.patch
Patch1:		%{name}-update.patch
Patch2:		%{name}-format.patch
Patch3:		%{name}-install.patch
Patch4:		%{name}-link.patch
URL:		https://cmusphinx.github.io/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	sphinxbase-devel >= 0.8
Requires:	sphinxbase >= 0.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
One of Carnegie Mellon University's open source large vocabulary,
speaker-independent continuous speech recognition engine.

Plug your microphone, launch sphinx3-simple, and test it!

%description -l pl.UTF-8
System rozpoznawania ciągłej mowy, niezależny od mówiącego, z dużym
słownikiem, pochodzący z Carnegie Mellon University.

Podłącz mikrofon, uruchom sphinx3-simple i testuj!

%package devel
Summary:	CMU Sphinx III header files
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek CMU Sphinx III
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	sphinxbase-devel >= 0.8

%description devel
CMU Sphinx III header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek CMU Sphinx III.

%package static
Summary:	Static CMU Sphinx III libraries
Summary(pl.UTF-8):	Biblioteki statyczne CMU Sphinx III
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of CMU Sphinx III libraries.

%description static -l pl.UTF-8
Statyczne wersje bibliotek CMU Sphinx III.

%package doc
Summary:	Documentation for CMU Sphinx III
Summary(pl.UTF-8):	Dokumentacja pakietu CMU Sphinx III
Group:		Documentation

%description doc
Documentation for CMU Sphinx III.

%description doc -l pl.UTF-8
Dokumentacja pakietu CMU Sphinx III.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

find doc -name .svn | xargs %{__rm} -r

# subdirs install is broken
mkdir -p doc/.hidden
%{__mv} doc/{images,s3,s3-2_files} doc/.hidden

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libs3decoder.la

install -d $RPM_BUILD_ROOT%{_docdir}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/%{name}/doc $RPM_BUILD_ROOT%{_docdir}/%{name}
%{__rm} $RPM_BUILD_ROOT%{_docdir}/%{name}/doxygen.{cfg,main}
# remaining files, not handled properly by automake install
cp -pr doc/.hidden/{images,s3,s3-2_files} $RPM_BUILD_ROOT%{_docdir}/%{name}
%{__rm} $RPM_BUILD_ROOT%{_docdir}/%{name}/{images/Makefile,s3-2_files/{Makefile,filelist.xml}}


%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/sphinx3-simple
%attr(755,root,root) %{_bindir}/sphinx3_*
%attr(755,root,root) %{_libdir}/libs3decoder.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libs3decoder.so.0
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libs3decoder.so
%{_includedir}/sphinx3
%{_pkgconfigdir}/sphinx3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libs3decoder.a

%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}
%changelog
* Wed Mar 07 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sphinx3.git;a=log;h=master

* Wed Mar 07 2018 Jakub Bogusz <qboosh@pld-linux.org> 05cac15
- updated to 0.8
- removed outdated names patch
- added am patch (fix automake issue)
- added update patch (adjust for sphinxbase 0.8)
- added format patch (fix missing format string issues)
- added install patch (avoid duplicates in install when sources contain processed .in files)
- added link patch (link libs3decoder with required libraries)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e7ac419
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 04b3717
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> cc66236
- strict internal deps

* Sun Nov 20 2005 Jakub Bogusz <qboosh@pld-linux.org> e9951cc
- updated to 0.5, updated names patch, removed obsolete acfix patch

* Sun Nov 20 2005 Jakub Bogusz <qboosh@pld-linux.org> cc110ab
- updated for 0.5

* Sun Nov 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 822c01c
- obsolete

* Sat Aug 30 2003 Jakub Bogusz <qboosh@pld-linux.org> c6ed609
- ugh, License is BSD-like not GPL

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> ac29b9d
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 046fbd1
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 6b536d4
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Feb 28 2003 trojan <trojan@pld-linux.org> 121db7f
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

* Sat Feb 01 2003 Jakub Bogusz <qboosh@pld-linux.org> 3f461c5
- new (preliminary, no headers yet)
- added names patch to rename some files with too common names

